/*
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *     
 */

#include <gtk/gtk.h>

GtkWidget *txtFichero;

struct dispos
{
	char MAC_dev[20];
	char nombre_dev[248];
	struct dispos *next;
};
typedef struct dispos DISPOS;

void elimina_lista ();
void reset_dispos (GtkComboBox *);	/* Resetea el combo box y las listas de dispositivos || reset combobox and dispositives lists */

void
on_detectar_dispositivos_activate     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_salir_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cmdExaminar_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_dlgCancelar_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_dlgAceptar_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_cmdDetecta_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_enviar_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_txtFichero_editing_done             (GtkCellEditable *celleditable,
                                        gpointer         user_data);

void
on_cmdExaminar_leave                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_txtFichero_insert_text              (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gpointer         position,
                                        gpointer         user_data);

void
on_txtFichero_changed                  (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_dlgBuscando_close                   (GtkDialog       *dialog,
                                        gpointer         user_data);

void
on_salir_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_acerca_de_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cbElijeDisp_changed                 (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_frmPrincipal_destroy                (GtkObject       *object,
                                        gpointer         user_data);

void
on_cbElijeDisp_editing_done            (GtkCellEditable *celleditable,
                                        gpointer         user_data);

void
on_cbElijeDisp_composited_changed      (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_AcercaDe_close                      (GtkDialog       *dialog,
                                        gpointer         user_data);

void
on_AcercaDe_response                   (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_cmdCerrar_Espera_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_dlgEspera_response                  (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_dlgEspera_close                     (GtkDialog       *dialog,
                                        gpointer         user_data);

void
on_dlgEspera_destroy                   (GtkObject       *object,
                                        gpointer         user_data);

void
on_dlgEspera_close                     (GtkDialog       *dialog,
                                        gpointer         user_data);

void
on_dlgEnvia_response                   (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

gboolean
on_frmPrincipal_destroy_event          (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_dlgBuscando_response                (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_esperar_conexiones_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_frmAcerca_response                  (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);
